import request from '@/utils/request'

// 查询涉事类型列表
export function listSslx(query) {
  return request({
    url: '/tcZz/netWorkYq/sslx/list',
    method: 'get',
    params: query
  })
}

// 查询涉事类型详细
export function getSslx(id) {
  return request({
    url: '/tcZz/netWorkYq/sslx/' + id,
    method: 'get'
  })
}

// 新增涉事类型
export function addSslx(data) {
  return request({
    url: '/tcZz/netWorkYq/sslx',
    method: 'post',
    data: data
  })
}

// 修改涉事类型
export function updateSslx(data) {
  return request({
    url: '/tcZz/netWorkYq/sslx',
    method: 'put',
    data: data
  })
}

// 删除涉事类型
export function delSslx(id) {
  return request({
    url: '/tcZz/netWorkYq/sslx/' + id,
    method: 'delete'
  })
}
//通用导入信息
export function importSslx(data) {
  return request({
    url: '/tcZz/netWorkYq/sslx/common/importExcel',
    method: 'post',
    data
  })
}